//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
//  Copyright Syncfusion Inc. 2001 - 2003. All rights reserved. Use of this code is subject to the terms of our 
//  license. A copy of the current license can be obtained at any time by e-mailing licensing@syncfusion.com. 
//  Re-distribution in any form is strictly prohibited. Any infringement will be prosecuted under applicable laws. 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 
using System;
using System.ComponentModel;

using Syncfusion.Windows.Forms.Chart;

namespace ChartDataSource
{
	public class LabelModel : IChartAxisLabelModel
	{
		private string[] labels;

		public LabelModel(string[] labels)
		{
			this.labels = labels;
		}

		public string GetLabelAt(int index)
		{
			return this.labels[index];
		}

		public int Count 
		{
			get
			{
				return this.labels.GetLength(0);
			}
		}
	}
}
